All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.util.relational
Interface ColumnAreaInterface

All Known Implementing Classes:
  ColumnHeaderArea, DataCellArea

    public interface ColumnAreaInterface

Interface for specifying the attributes required for identifying a column header cell in a relational tableview component.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1.4

Field Summary
`static int` | `UNSET`

Method Summary
`abstract java.lang.String` | `getColumnId()` Returns the id of the column.
`abstract int` | `getModelIndex()` Returns the model index of the column.
`abstract int` | `getViewerIndex()` Returns the viewer index of the column.
`abstract void` | `setColumnId(java.lang.String columnId)` Sets the column id of the column.
`abstract void` | `setModelIndex(int modelIndex)` Sets the model index of the column.
`abstract void` | `setViewerIndex(int viewerIndex)` Sets the viewer index of the column.

Field Detail

### UNSET

    static final int UNSET

See Also:
  Constant Field Values

Method Detail

### setColumnId

    void setColumnId(java.lang.String columnId)

  Sets the column id of the column.

  Parameters:
    `columnId` - the id of the column.

### getColumnId

    java.lang.String getColumnId()

  Returns the id of the column.

  Returns:
    the id of the column.

### setViewerIndex

    void setViewerIndex(int viewerIndex)

  Sets the viewer index of the column.

  Parameters:
    `viewerIndex` - the viewer index of the column.

### getViewerIndex

    int getViewerIndex()

  Returns the viewer index of the column.

  Parameters:
    `the` - viewer index of the column.

### setModelIndex

    void setModelIndex(int modelIndex)

  Sets the model index of the column.

  Parameters:
    `modelIndex` - the model index of the column.

### getModelIndex

    int getModelIndex()

  Returns the model index of the column.

  Parameters:
    `the` - model index of the column.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.